<?php


return  
    [
        'model' => [
            'model' => \Litepie\Slider\Models\Slider::class,
            'table' => 'litepie_slider_sliders',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['user_id',  'user_type',  'name',  'title',  'content',  'images',  'status'],
            'translatables' => [],
            'upload_folder' => 'slider/slider',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            "title" => [
                "key" => "title", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'slider::slider.label.title', 
                "placeholder" => 'slider::slider.placeholder.title', 
            ],
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'slider::slider.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "title", 
                "type" => "text", 
                "label" => 'slider::slider.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "content", 
                "type" => "text", 
                "label" => 'slider::slider.label.content', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "images", 
                "type" => "text", 
                "label" => 'slider::slider.label.images', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'slider::slider.label.name',
                "placeholder" => 'slider::slider.placeholder.name',
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'title',
                "element" => 'text',
                "type" => 'text',
                "label" => 'slider::slider.label.title',
                "placeholder" => 'slider::slider.placeholder.title',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'content',
                "element" => 'text',
                "type" => 'text',
                "label" => 'slider::slider.label.content',
                "placeholder" => 'slider::slider.placeholder.content',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'images',
                "element" => 'text',
                "type" => 'text',
                "label" => 'slider::slider.label.images',
                "placeholder" => 'slider::slider.placeholder.images',
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'slider/slider/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'slider/slider/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'slider/slider',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'slider/slider',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'slider/slider',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'slider/slider',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'slider::slider.label.created_at',
            'name' => 'slider::slider.label.name',
            'status' => 'slider::slider.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "slider::slider.groups.main",
                'key' => "main",
                'title' => "slider::slider.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "slider::slider.groups.details",
                'key' => "documents",
                'title' => "slider::slider.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "slider::slider.groups.images",
                'key' => "documents",
                'title' => "slider::slider.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "slider::slider.groups.settings",
                'key' => "documents",
                'title' => "slider::slider.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litepie',
            'package' => 'Slider',
            'module' => 'Slider',
        ],

        
        
    ];
