<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitepieSliderSlidersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litepie_slider_sliders
         */
        Schema::create('litepie_slider_sliders', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 25)->nullable();
            $table->string('name', 250)->nullable();
            $table->string('title', 1000)->nullable();
            $table->text('content')->nullable();
            $table->string('slug', 50)->nullable();
            $table->text('images')->nullable();
            $table->enum('status', [])->nullable();
            $table->text('upload_folder')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litepie_slider_sliders');
    }
}
